package cn.com.taiji.tile.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.com.taiji.tile.mapper.LayerMapper;
import cn.com.taiji.tile.model.Layer;
import cn.com.taiji.tile.service.LayerService;
/**
 * @author zzyx 2024/1/12
 */
@Service
public class LayerServiceImpl extends ServiceImpl<LayerMapper, Layer> implements LayerService{

    @Override
    public Layer getOneByName(String layerName) {
        return this.getOne(new LambdaQueryWrapper<Layer>().eq(Layer::getName,layerName));
    }
}
