package cn.com.taiji.tile.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author zzyx 2024/1/12
 */
/**
    * 图层
    */
@Data
@TableName(value = "layer")
public class Layer {
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @TableField(value = "`type`")
    private Boolean type;

    @TableField(value = "title")
    private String title;

    @TableField(value = "`name`")
    private String name;

    @TableField(value = "storage_warehouse")
    private Integer storageWarehouse;

    @TableField(value = "is_group")
    private Boolean isGroup;

    @TableField(value = "style_id")
    private Long styleId;

    @TableField(value = "del_flag")
    private Byte delFlag;
}